package com.baijiayun.groupclassui.model;

import com.baijiayun.livebase.models.imodels.IUserModel;

/**
 * Created by yongjiaming on 2019/3/28
 */
public class SbbStatusModel {

    public IUserModel user;
    public SbbStatus sbbStatus = SbbStatus.NORMAL;

    public SbbStatusModel(IUserModel user) {
        this.user = user;
    }

    public SbbStatusModel(IUserModel user, SbbStatus status) {
        this.user = user;
        this.sbbStatus = status;
    }


    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        SbbStatusModel that = (SbbStatusModel) o;
        return user.getNumber().equals(that.user.getNumber());
    }

    public enum SbbStatus {
        NORMAL, //正常
        COMMIT, //已提交未查阅
        READ    //已提交已查阅
    }
}
