package com.baijiayun.groupclassui.model;

import java.util.concurrent.ConcurrentHashMap;

public class ShareExpReportListModel {

    public String key;
    public ExpReportListValue value;


    public static class ExpReportListValue {

        public String lessonExpQrcode;
        public String lessonTitle;
        public ConcurrentHashMap<String, ExpReportListItem[]> list;

    }

    public static class ExpReportListItem {
        public String id;
        public String confidence;
        public String partnerId;
        public String userRole;
        public String roomId;
        public String userName;
        public String createTime;
        public String size;
        public String expUrl;
        public String expType;
        public ExpReportItemLocation location;
        public String expDesc;
        public String taskId;
        public String userNumber;
        public String status;
    }

    public static class ExpReportItemLocation {
        public int left;
        public int top;
        public int right;
        public int bottom;
    }
}
