package com.baijiayun.groupclassui.window.toolbar;

import com.baijiayun.groupclassui.base.BaseGroupPresenter;
import com.baijiayun.livebase.base.BaseView;

import java.util.List;

public class ToolbarContract {

    interface ToolbarView extends BaseView<BaseGroupPresenter> {
    }

    interface ToolbarPresenter extends BaseGroupPresenter {

        void selectMode(boolean isSelectMode);

        void lineDrawMode(List<Object> data);

        void graphDrawMode();

        void laserDrawMode();

        void wordEditMode();

        void sendImageShape(String path);

        void eraseShape();

        void documentManage();

        void teachingAid();

        void groupManage();
    }
}
