package com.baijiayun.groupclassui.user;

import android.content.Context;

import com.baijiayun.livebase.models.imodels.IUserModel;


/**
 * Created by yongjiaming on 2018/10/12
 */
public interface IUserContract {

    Context getContext();

    /**
     * 上台或者下台
     * @param userModel
     * @param isShowOnSeatContainer true 显示在顶部坐席
     */
    void upOrDownSeatContainer(IUserModel userModel, boolean isShowOnSeatContainer);

    void forbidChat(IUserModel userModel);

    void unForbidChat(IUserModel userModel);

    void kickUserOut(IUserModel userModel);
}
