package com.baijiayun.groupclassui.user;


/**
 * Created by yongjiaming on 2018/10/12
 */
public interface IUserInteractionListener {

    //通知用户人数变化
    void notifyOnlineUserDataSetChange();

    //更新人数（服务端10s通知）
    void notifyOnlineUserCountChange();

    //通知举手人数变化
    void notifyHandsUpUserDataSetChange();

    //通知上台人数变化
    void notifyActiveUserDataChange();

    //举手结果回调
    void notifySpeakApplyResult();

    void notifyForbidStatus();

    void notifyUserDataChange();

    void notifyForbidHandUp(boolean isForbid);

    void notifyCurrentSeatFull();

    void showBlockedUserFreeAllUI();

    void notifyStudyRoomSwitch();
}
